KUBERNETES(1)

NAME

kubeadm init phase kubelet-start - Writes kubelet settings and (re)starts the kubelet

SYNOPSIS

kubeadm init phase kubelet-start [OPTIONS]

DESCRIPTION

Writes a file with KubeletConfiguration and an environment file with node specific kubelet settings, and then (re)starts kubelet.

OPTIONS

--config=""
    Path to a kubeadm configuration file.

--cri-socket=""
    Path to the CRI socket to connect. If empty kubeadm will try to auto-detect this value; use this option only if you have more than one CRI installed or if you have non-standard CRI socket.

--node-name=""
    Specify the node name.

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

EXAMPLE

      # Writes a dynamic environment file with kubelet flags from a InitConfiguration file.
      kubeadm init phase kubelet-start --config config.yaml

SEE ALSO

kubeadm-init-phase(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!